{
  "model": {
    "type": "select",
    "property": "custom_model_data",
    "cases": [
      {"when":"wishlist:key", "model":{"type":"model","model":"lock:item/key"}},
      {"when":"wishlist:blank", "model":{"type":"model","model":"lock:item/key_blank"}},
      {"when":"wishlist:bauble", "model":{"type":"model","model":"magic:item/bauble"}},
      {"when":"wishlist:chopsticks", "model":{"type":"model","model":"chain_traders:item/chopsticks"}},
      {"when":"wishlist:glass_beads", "model":{"type":"model","model":"chain_traders:item/glass_beads"}},
      {"when":"wishlist:golden_scarab", "model":{"type":"model","model":"chain_traders:item/golden_scarab"}},
      {"when":"wishlist:pack_of_gum", "model":{"type":"model","model":"chain_traders:item/pack_of_gum"}},
      {"when":"wishlist:perfume_bottle", "model":{"type":"model","model":"chain_traders:item/perfume_bottle"}},
      {"when":"wishlist:silver_comb", "model":{"type":"model","model":"chain_traders:item/silver_comb"}},
      {"when":"wishlist:spice_box", "model":{"type":"model","model":"chain_traders:item/spice_box"}},
      {"when":"wishlist:spoon", "model":{"type":"model","model":"chain_traders:item/spoon"}},
      {"when":"wishlist:tapestry", "model":{"type":"model","model":"chain_traders:item/tapestry"}}
    ],
    "fallback": {
      "type": "range_dispatch",
      "property": "custom_model_data",
      "entries": [
        { "threshold": 271830, "model": { "type": "model", "model": "dungeons:item/coin" } },
        { "threshold": 271831, "model": { "type": "model", "model": "grabeltone:item/coin" } },
        { "threshold": 271833, "model": { "type": "model", "model": "magic:item/bauble" } },
        { "threshold": 628319, "model": { "type": "model", "model": "better_recipes:item/pot" } },
        { "threshold": 628320, "model": { "type": "model", "model": "better_recipes:item/steamer" } },
        { "threshold": 999999, "model": { "type": "model", "model": "wishlist:item/empty" } }
      ],
      "fallback": {
        "type": "minecraft:model",
        "model": "minecraft:item/iron_nugget"
      }
    }
  }
}
